-------------------------------------------------------------------------------
--
--  <STRONG>Copyright &copy; 2001, 2002 by Thomas Wolf.</STRONG>
--  <BLOCKQUOTE>
--    This piece of software is free software; you can redistribute it and/or
--    modify it under the terms of the  GNU General Public License as published
--    by the Free Software  Foundation; either version 2, or (at your option)
--    any later version. This software is distributed in the hope that it will
--    be useful, but <EM>without any warranty</EM>; without even the implied
--    warranty of <EM>merchantability or fitness for a particular purpose.</EM>
--    See the GNU General Public License for  more details. You should have
--    received a copy of the GNU General Public License with this distribution,
--    see file "<A HREF="GPL.txt">GPL.txt</A>". If not, write to the Free
--    Software Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307,
--    USA.
--  </BLOCKQUOTE>
--  <BLOCKQUOTE>
--    As a special exception from the GPL, if other files instantiate generics
--    from this unit, or you link this unit with other files to produce an
--    executable, this unit does not by itself cause the resulting executable
--    to be covered by the GPL. This exception does not however invalidate any
--    other reasons why the executable file might be covered by the GPL.
--  </BLOCKQUOTE>
--
--  <VERSION ID="1.1">
--
--  <AUTHOR>
--    Thomas Wolf  (TW) <E_MAIL>
--  </AUTHOR>
--
--  <PURPOSE>
--    UTC and daylight saving time utility functions.
--  </PURPOSE>
--
--  <TASKING>
--    Fully task safe.
--  </TASKING>
--
--  <NO_STORAGE>
--
--  <HISTORY>
--    28-OCT-2002   TW  Initial version.
--  </HISTORY>
-------------------------------------------------------------------------------

with Ada.Calendar;

package Util.Calendar.UTC is

   pragma Elaborate_Body;
   --  Can't be pure, because Ada.Calendar isn't pure.

   function UTC return Ada.Calendar.Time;
   --  Returns the current time expressed in UTC, or raise the exception
   --  @Ada.Calendar.Time_Error@ if UTC cannot be determined.

   function Is_DST return Boolean;
   --  Returns @True@ if the current local time is "daylight saving time" and
   --  @False@ otherwise. Raises @Ada.Calendar.Time_Error@ if the information
   --  cannot be determined.

end Util.Calendar.UTC;
