-------------------------------------------------------------------------------
--
--  <STRONG>Copyright &copy; 2001, 2002 by Thomas Wolf.</STRONG>
--  <BLOCKQUOTE>
--    This piece of software is free software; you can redistribute it and/or
--    modify it under the terms of the  GNU General Public License as published
--    by the Free Software  Foundation; either version 2, or (at your option)
--    any later version. This software is distributed in the hope that it will
--    be useful, but <EM>without any warranty</EM>; without even the implied
--    warranty of <EM>merchantability or fitness for a particular purpose.</EM>
--    See the GNU General Public License for  more details. You should have
--    received a copy of the GNU General Public License with this distribution,
--    see file "<A HREF="GPL.txt">GPL.txt</A>". If not, write to the Free
--    Software Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307,
--    USA.
--  </BLOCKQUOTE>
--  <BLOCKQUOTE>
--    As a special exception from the GPL, if other files instantiate generics
--    from this unit, or you link this unit with other files to produce an
--    executable, this unit does not by itself cause the resulting executable
--    to be covered by the GPL. This exception does not however invalidate any
--    other reasons why the executable file might be covered by the GPL.
--  </BLOCKQUOTE>
--
--  <VERSION ID="1.1">
--
--  <AUTHOR>
--    Thomas Wolf  (TW) <E_MAIL>
--  </AUTHOR>
--
--  <PURPOSE>
--    Windows-style environment variable substitution.
--  </PURPOSE>
--
--  <NOT_TASK_SAFE>
--
--  <NO_STORAGE>
--
--  <HISTORY>
--    03-MAY-2002   TW  Initial version.
--  </HISTORY>
-------------------------------------------------------------------------------

package Util.Environment.Windows is

   pragma Elaborate_Body;

   type Windows_Expander is new String_Expander with private;

   function Expand
     (Self   : access Windows_Expander;
      Source : in     String)
     return String;
   --  Replaces all references to environment variables in @Source@ by that
   --  variable's definition (or the empty string, if an environment variable
   --  is not defined) and returns the resulting string.
   --
   --  A reference has the format "@%Var_Name%@". To include a literal '@%@'
   --  sign, either make sure it is followed by whitespace, there is no
   --  second '@%@' in the @Source@ string, or double it.

private

   type Windows_Expander is new String_Expander with null record;

end Util.Environment.Windows;




