-------------------------------------------------------------------------------
--
--  <STRONG>Copyright &copy; 2001, 2002 by Thomas Wolf.</STRONG>
--  <BLOCKQUOTE>
--    This piece of software is free software; you can redistribute it and/or
--    modify it under the terms of the  GNU General Public License as published
--    by the Free Software  Foundation; either version 2, or (at your option)
--    any later version. This software is distributed in the hope that it will
--    be useful, but <EM>without any warranty</EM>; without even the implied
--    warranty of <EM>merchantability or fitness for a particular purpose.</EM>
--    See the GNU General Public License for  more details. You should have
--    received a copy of the GNU General Public License with this distribution,
--    see file "<A HREF="GPL.txt">GPL.txt</A>". If not, write to the Free
--    Software Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307,
--    USA.
--  </BLOCKQUOTE>
--  <BLOCKQUOTE>
--    As a special exception from the GPL, if other files instantiate generics
--    from this unit, or you link this unit with other files to produce an
--    executable, this unit does not by itself cause the resulting executable
--    to be covered by the GPL. This exception does not however invalidate any
--    other reasons why the executable file might be covered by the GPL.
--  </BLOCKQUOTE>
--
--  <AUTHOR>
--    Thomas Wolf  (TW) <E_MAIL>
--  </AUTHOR>
--
--  <PURPOSE>
--    Named stop watches.
--  </PURPOSE>
--
--  <NOT_TASK_SAFE>
--
--  <STORAGE>
--    Uses an unbounded string to store the name.
--  </STORAGE>
--
--  <HISTORY>
--    28-FEB-2002   TW  Initial version.
--  </HISTORY>
-------------------------------------------------------------------------------

package body Util.Stop_Watches.Named is

   procedure Set_Name
     (Watch : in out Stop_Watch;
      Name  : in     String)
   is
   begin
      Watch.Name := Ada.Strings.Unbounded.To_Unbounded_String (Name);
   end Set_Name;

   function Name
     (Watch : in Stop_Watch)
     return String
   is
   begin
      return Ada.Strings.Unbounded.To_String (Watch.Name);
   end Name;

end Util.Stop_Watches.Named;
